Skip to content
ShaireDevelopers

teams

6 endpoints.

get/api/teams#

Request
curl https://api.shairelabs.com/api/teams \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · Team[]

idstring · uuid*
workspaceIdstring · uuid*
namestring*
memberCountinteger*
createdAtstring*

Also answers 401 and 403. SeeErrors.

post/api/teams#

workspace:adminadmin only

Body

namestring*
min length 1 · max length 120
Request
curl https://api.shairelabs.com/api/teams \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 201 · TeamDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
memberCountinteger*
createdAtstring*
memberIds(string · uuid)[]*

Also answers 401 and 403. SeeErrors.

get/api/teams/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/teams/$TEAM_ID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TeamDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
memberCountinteger*
createdAtstring*
memberIds(string · uuid)[]*

Also answers 401 and 403. SeeErrors.

patch/api/teams/{id}#

workspace:adminadmin only

Path

idstring*

Body

namestring*
min length 1 · max length 120
Request
curl https://api.shairelabs.com/api/teams/$TEAM_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'

Response · 200 · TeamDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
memberCountinteger*
createdAtstring*
memberIds(string · uuid)[]*

Also answers 401 and 403. SeeErrors.

delete/api/teams/{id}#

workspace:adminadmin only

Path

idstring*
Request
curl https://api.shairelabs.com/api/teams/$TEAM_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

put/api/teams/{id}/members#

workspace:adminadmin only

Path

idstring*

Body

memberIds(string · uuid)[]*
Request
curl https://api.shairelabs.com/api/teams/$TEAM_ID/members \
  -X PUT \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"memberIds":[]}'

Response · 200 · TeamDetail

idstring · uuid*
workspaceIdstring · uuid*
namestring*
memberCountinteger*
createdAtstring*
memberIds(string · uuid)[]*

Also answers 401 and 403. SeeErrors.